\bar et amsmath

16 views
Skip to first unread message

news.free.fr

unread,
Sep 21, 2022, 5:17:36 AMSep 21
to
Bonjour,

Voici le code qui fonctionne

\documentclass{article}
\begin{document}
\[
\bar{\bigcap_{\tilde{j}\in\tilde{\mathcal{T}}^{w} }}
\]
\end{document}

mais avec amsmath ça râle

\documentclass{article}
\usepackage{amsmath}
\begin{document}
\[
\bar{\bigcap_{\tilde{j}\in\tilde{\mathcal{T}}^{w} }}
\]
\end{document}

J'ai essayé stackrel

\documentclass{article}
\usepackage{amsmath}
\begin{document}
\[
\stackrel{-}{\bigcap_{\tilde{j}\in\tilde{\mathcal{T}}^{w} }}
\]
\end{document}

mais l'accent est trop haut et je ne sais pas comment l'abaisser. Le
problème est que je ne peux pas me passer de amsmath alors comment ne
pas le faire râler ou comment modifier l'espace avec stackrel ?

Merci,

Jean-Yves

--
Je me rends compte que je suis de plus en plus souvent un vieux c*n.
Qu'est-ce que ça sera quand je serai vraiment vieux ?
-+- mpg in fr.comp.text.tex -+-

Daniel Flipo

unread,
Sep 21, 2022, 9:02:56 AMSep 21
to
Bonjour,

> mais avec amsmath ça râle
>
> \documentclass{article}
> \usepackage{amsmath}
> \begin{document}
> \[
>   \bar{\bigcap_{\tilde{j}\in\tilde{\mathcal{T}}^{w} }}
> \]
> \end{document}

En ajoutant \usepackage{unicode-math} et en compilant avec lualatex, il
n'y a pas de message d'erreur et le résultat me semble correct.
--
Daniel Flipo

news.free.fr

unread,
Sep 21, 2022, 9:56:07 AMSep 21
to
Bouhhhhhhhhhhhhhhhh ! Je compile avec latex de base et pas avec lulu !
Une autre piste ?

Merci,

Jean-Yves

--
Parait que je fais du TeX sans le savoir, comme Monsieur Jourdain...
-+- didier in fr.comp.text.tex -+-

Daniel Flipo

unread,
Sep 21, 2022, 10:23:24 AMSep 21
to
Le 21/09/2022 à 15:56, news.free.fr a écrit :
> Le 21/09/2022 à 15:02, Daniel Flipo a écrit :
>> Bonjour,
>>
>>> mais avec amsmath ça râle
>>>
>>> \documentclass{article}
>>> \usepackage{amsmath}
>>> \begin{document}
>>> \[
>>>    \bar{\bigcap_{\tilde{j}\in\tilde{\mathcal{T}}^{w} }}
>>> \]
>>> \end{document}
>>
>> En ajoutant \usepackage{unicode-math} et en compilant avec lualatex,
>> il n'y a pas de message d'erreur et le résultat me semble correct.
>
>
> Bouhhhhhhhhhhhhhhhh ! Je compile avec latex de base et pas avec lulu !
> Une autre piste ?

C'est peut-être l'occasion de passer à un moteur moderne, non ? Adobe
abandonne les fontes Type1 en janvier 2023… je ne vois pas beaucoup
d'avenir pour pdflatex mais bon, chacun a ses contraintes.

--
Daniel Flipo

Ulrike Fischer

unread,
Sep 22, 2022, 3:26:57 AMSep 22
to
Am Wed, 21 Sep 2022 11:17:34 +0200 schrieb news.free.fr:

> Bonjour,
>
> Voici le code qui fonctionne
>
> \documentclass{article}
> \begin{document}
> \[
> \bar{\bigcap_{\tilde{j}\in\tilde{\mathcal{T}}^{w} }}
> \]
> \end{document}
>
> mais avec amsmath ēa rāle
>
> \documentclass{article}
> \usepackage{amsmath}
> \begin{document}
> \[
> \bar{\bigcap_{\tilde{j}\in\tilde{\mathcal{T}}^{w} }}
> \]
> \end{document}
>

\documentclass{article}
\usepackage{amsmath}
\newsavebox{\accentbox}
\newcommand{\compositeaccents}[2]{%
\sbox\accentbox{$#2$}#1{\usebox\accentbox}}
\begin{document}
\[
\compositeaccents{\bar}{\displaystyle
\bigcap_{\tilde{j}\in\tilde{\mathcal{T}}^{w}}}
\]
\end{document}


de

https://tex.stackexchange.com/a/30328/2388

qui contient aussi une explication.

--
Ulrike Fischer
http://www.troubleshooting-tex.de/

news.free.fr

unread,
Sep 23, 2022, 12:03:54 PMSep 23
to
Bonjour,

Le 21/09/2022 à 16:23, Daniel Flipo a écrit :
> C'est peut-être l'occasion de passer à un moteur moderne, non ? Adobe
> abandonne les fontes Type1 en janvier 2023…

Re-bouhhhh à chaudes larmes !

Jean-Yves

--
Je rève d'un monde où je pourrais faire mes rapports en ascii-art
-+- JKr in fr.comp.text.tex -+-

Lulu

unread,
Oct 18, 2022, 12:45:04 PMOct 18
to
Je compile moi aussi mes cours avec 'pdflatex'...

J'ai bêtement remplacé ma commande 'pdflatex --shell-escape %' (depuis
vim) par 'lualatex --shell-escape %'

Ça se passe mal (et je ne comprends pas le message d'erreur) :
8<-----------8<---------8<----------8<----------8<----------8<----------8<
! Package xypdf Error: pdfTeX version 1.40.0 or higher is needed for the xypdf
package with PDF output.

See the xypdf package documentation for explanation.
Type H <return> for immediate help.
...

l.29 \RequirePackage
{titlesec} % Incompatible avec fancyhdr
? H
This error message was generated by an \errmessage
command, so I can't give any explicit help.
Pretend that you're Hercule Poirot: Examine all clues,
and deduce the truth by order and method.
?
8<-----------8<---------8<----------8<----------8<----------8<----------8<

J'utilise une TexLive 2022 à jour...

Une piste vers le B-A-BA de la transition vers lualatex ?


Merci de toute aide, piste ou documentation pour béotien!

Denis Bitouzé

unread,
Oct 18, 2022, 2:55:17 PMOct 18
to
Le 18/10/22 à 18h43, Lulu a écrit :

> Ça se passe mal (et je ne comprends pas le message d'erreur) :
> 8<-----------8<---------8<----------8<----------8<----------8<----------8<
> ! Package xypdf Error: pdfTeX version 1.40.0 or higher is needed for the xypdf
> package with PDF output.
>
> See the xypdf package documentation for explanation.
> Type H <return> for immediate help.
> ...
>
> l.29 \RequirePackage
> {titlesec} % Incompatible avec fancyhdr
> ? H
> This error message was generated by an \errmessage
> command, so I can't give any explicit help.
> Pretend that you're Hercule Poirot: Examine all clues,
> and deduce the truth by order and method.
> ?
> 8<-----------8<---------8<----------8<----------8<----------8<----------8<

Dans le résumé de la documentation de `xypdf` est écrit : « The xypdf
package works with both TeX and LaTeX in the occurrences of pdfTEX,
XeTeX and ε-TeX with dvipdfm(x) to generate PDF files ».

Donc, clairement, ce package n'est pas compatible avec LuaLaTeX.

> Une piste vers le B-A-BA de la transition vers lualatex ?

Ne pas recourir à ce package qui est tout de même assez ancien et, si
vous utilisez vraiment certaines de ses fonctionnalités, le remplacer
par un plus moderne et compatible avec LuaLaTeX (`tikz` est
probablement un bon candidat).

Pour ce qui est de la transition, je ne saurais que trop recommander le
« Petit tutoriel pour passer de pdfLaTeX à LuaLaTeX » de Daniel Flipo :

┌────
http://daniel.flipo.free.fr/doc/luatex/index.html
└────

> Merci de toute aide, piste ou documentation pour béotien!

Padkoi.
--
Denis

Lulu

unread,
Oct 18, 2022, 3:55:06 PMOct 18
to
Le 18-10-2022, Denis Bitouzé <dbit...@wanadoo.fr> a écrit :

> Pour ce qui est de la transition, je ne saurais que trop recommander le
> « Petit tutoriel pour passer de pdfLaTeX à LuaLaTeX » de Daniel Flipo :
>
> ┌────
> │ http://daniel.flipo.free.fr/doc/luatex/index.html
> └────

Super !
Merci pour la doc !

>> Merci de toute aide, piste ou documentation pour béotien!
>
> Padkoi.

J'insiste : merci^100
Reply all
Reply to author
Forward
0 new messages